const InfoIcon = ({ color, className }) => (
  <span className={className}>
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg">
      <path d="M20 0H4V2H20V0ZM4 24H20V22H4V24ZM20 4H4C3.47005 4.00158 2.96227 4.2128 2.58753 4.58753C2.2128 4.96227 2.00158 5.47005 2 6V18C2.00158 18.5299 2.2128 19.0377 2.58753 19.4125C2.96227 19.7872 3.47005 19.9984 4 20H20C20.5299 19.9984 21.0377 19.7872 21.4125 19.4125C21.7872 19.0377 21.9984 18.5299 22 18V6C21.9984 5.47005 21.7872 4.96227 21.4125 4.58753C21.0377 4.2128 20.5299 4.00158 20 4ZM12 6.75C12.445 6.75 12.88 6.88196 13.25 7.12919C13.62 7.37643 13.9084 7.72783 14.0787 8.13896C14.249 8.5501 14.2936 9.0025 14.2068 9.43895C14.12 9.87541 13.9057 10.2763 13.591 10.591C13.2763 10.9057 12.8754 11.12 12.439 11.2068C12.0025 11.2936 11.5501 11.249 11.139 11.0787C10.7278 10.9084 10.3764 10.62 10.1292 10.25C9.88196 9.88002 9.75 9.44501 9.75 9C9.75079 8.40351 9.9881 7.83167 10.4099 7.40989C10.8317 6.9881 11.4035 6.75079 12 6.75ZM17 17H7V15.5C7 13.83 10.33 13 12 13C13.67 13 17 13.83 17 15.5V17Z"  fill={color} />
    </svg>
  </span>
);

export default InfoIcon